import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CommunityComponent } from '../community/community/community.component';
import { HomePageComponent } from './home-page/home-page.component';
import { MineComponent } from '../mine/mine/mine.component';
import { ShopComponent } from '../shop/shop/shop.component';
import { NavComponent } from 'src/app/components/nav/nav.component';
import { CreateComponent } from '../create/create/create.component';
import { HomeDetailComponent } from './home-detail/home-detail.component';

const routes: Routes = [
  {
    path: "",
    component: NavComponent,
    children: [
      { path: "home", component: HomePageComponent },
      { path: "community", component: CommunityComponent },
      { path: "mine", component: MineComponent },
      { path: "shop", component: ShopComponent },
      { path: "create", component: CreateComponent },
      { path: "home-detail", component: HomeDetailComponent }
    ],
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class HomePageRoutingModule { }
